Debian Bug report logs - #326720
carg(3) man page error

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Ramiro Aceves <ea1abz@gmail.com>

Date: Mon, 5 Sep 2005 11:18:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version manpages-dev/1.70-1

Fixed in version 2.08-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Ramiro Aceves <ea1abz@gmail.com>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ramiro Aceves <ea1abz@gmail.com>
To: submit@bugs.debian.org
Subject: carg(3) man page error
Date: Mon, 05 Sep 2005 12:19:14 +0200
Package: manpages-dev
Version: 1.70-1

There seems to be en error in carg(3) man page, DESCRIPTION chapter.

"One has carg(z) = atan(creal(z) / cimag(z))"

 is wrong and should be :

"One has carg(z) = atan(cimag(z) / creal(z))"

Hope this helps.

Thank you very much.

Ramiro.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 326720@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Andries.Brouwer@cwi.nl
Cc: Ramiro Aceves <ea1abz@gmail.com>,326720@bugs.debian.org
Subject: Re: Bug#326720: carg(3) man page error
Date: Mon, 19 Sep 2005 14:04:00 +0200 (MEST)
Andries,

Could you comment on the following please -- I don't remember
enough of my maths...

Cheers,

Michael

> --- Urspr√ľngliche Nachricht ---
> Von: Ramiro Aceves <ea1abz@gmail.com>
> An: submit@bugs.debian.org
> Betreff: Bug#326720: carg(3) man page error
> Datum: Mon, 05 Sep 2005 12:19:14 +0200
> 
> Package: manpages-dev
> Version: 1.70-1
> 
> There seems to be en error in carg(3) man page, DESCRIPTION chapter.
> 
> "One has carg(z) = atan(creal(z) / cimag(z))"
> 
>  is wrong and should be :
> 
> "One has carg(z) = atan(cimag(z) / creal(z))"
> 
> Hope this helps.
> 
> Thank you very much.
> 
> Ramiro.
> 
> 

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 326720@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Ramiro Aceves <ea1abz@gmail.com>
Cc: 326720@bugs.debian.org,Andries.Brouwer@cwi.nl,control@bugs.debian.org
Subject: Re: Bug#326720: carg(3) man page error
Date: Mon, 19 Sep 2005 15:58:46 +0200 (MEST)
tags 326720 fixed-upstream
thanks

Hello Ramiro,

[Original CC list restored...]

> > Andries,
> > 
> > Could you comment on the following please -- I don't remember
> > enough of my maths...
> > 
> > Cheers,
> > 
> > Michael
> 
> 
> Hello Michael,
> 
> I am Ramiro. Yes, a complex number z  has got two componets: a real part
> (creal(z)) and an imaginary part (cimag(z)). I attach a home made ascii
> drawing.
> 
> 
> 
> imaginary axis
> ^
> |                             >|
> |                         *    |
> |                     *        |
> |          z      *            |
> |             *                |cimag(z)
> |         *                    |
> |     *                        |
> |*      \ angle=carg(z)        |
> |________|_____________________|_____________> real axis
>          creal(z)
> 
> 
> Carg(z) is the angle between the complex number z and the real axis,
> measured counterclockwise.
> 
> tan(angle)= cimag(z)/creal(z)
> 
> angle=carg(z)= atan(cimag(z)/creal(z))
> 
> Hope this helps.

Pictures always help :-).

When you put it like that, I'm convinced.  I've changed the page 
as you suggest.  The change will appear in man-pages-2.08.

Cheers,

Michael

> >>--- Urspr√ľngliche Nachricht ---
> >>Von: Ramiro Aceves <ea1abz@gmail.com>
> >>An: submit@bugs.debian.org
> >>Betreff: Bug#326720: carg(3) man page error
> >>Datum: Mon, 05 Sep 2005 12:19:14 +0200
> >>
> >>Package: manpages-dev
> >>Version: 1.70-1
> >>
> >>There seems to be en error in carg(3) man page, DESCRIPTION chapter.
> >>
> >>"One has carg(z) = atan(creal(z) / cimag(z))"
> >>
> >> is wrong and should be :
> >>
> >>"One has carg(z) = atan(cimag(z) / creal(z))"
> >>
> >>Hope this helps.
> >>
> >>Thank you very much.
> >>
> >>Ramiro.
> >>
> >>
> > 
> > 
> 

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Andries Brouwer <Andries.Brouwer@cwi.nl>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #22 received at 326720@bugs.debian.org (full text, mbox):

From: Andries Brouwer <Andries.Brouwer@cwi.nl>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: Andries.Brouwer@cwi.nl, Ramiro Aceves <ea1abz@gmail.com>, 326720@bugs.debian.org
Subject: Re: Bug#326720: carg(3) man page error
Date: Mon, 19 Sep 2005 17:41:12 +0200
On Mon, Sep 19, 2005 at 02:04:00PM +0200, Michael Kerrisk wrote:

> Andries,
> 
> Could you comment on the following please -- I don't remember
> enough of my maths...
> 
> Cheers,
> 
> Michael

Ramiro is right - that is, his text is much better than the
present text. However normalizations differ.

It is true that tan(carg(z)) = cimag(z) / creal(z),
almost by definition. Taking atan() on both sides yields
atan(tan(carg(z))) = atan(cimag(z) / creal(z))
but it is not precisely true that atan(tan(x)) = x.
The tan() function is periodic with period pi, and
atan() returns an answer in (-pi/2,pi/2], so atan(tan(x))
returns the value that is congruent x mod pi and lies in
this interval.
In particular, atan(tan(carg(z))) returns a value that
is congruent carg(z) mod pi and lies in (-pi/2,pi/2].
On the other hand, carg returns a value in [-pi,pi]
and if that return value does not lie in (-pi/2,pi/2]
then carg(z) and atan(cimag(z) / creal(z)) will differ by pi.

In other words: you may write
"One has tan(carg(z)) = cimag(z) / creal(z)."

Andries


>> Von: Ramiro Aceves <ea1abz@gmail.com>
>> An: submit@bugs.debian.org
>> Betreff: Bug#326720: carg(3) man page error
>> Datum: Mon, 05 Sep 2005 12:19:14 +0200
>> 
>> Package: manpages-dev
>> Version: 1.70-1
>> 
>> There seems to be en error in carg(3) man page, DESCRIPTION chapter.
>> 
>> "One has carg(z) = atan(creal(z) / cimag(z))"
>> 
>>  is wrong and should be :
>> 
>> "One has carg(z) = atan(cimag(z) / creal(z))"
>> 
>> Hope this helps.
>> 
>> Thank you very much.
>> 
>> Ramiro.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Ramiro Aceves <ea1abz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 326720@bugs.debian.org (full text, mbox):

From: Ramiro Aceves <ea1abz@gmail.com>
To: Andries Brouwer <Andries.Brouwer@cwi.nl>
Cc: Michael Kerrisk <mtk-manpages@gmx.net>, 326720@bugs.debian.org
Subject: Re: Bug#326720: carg(3) man page error
Date: Tue, 20 Sep 2005 09:28:05 +0200
> 
> 
> Ramiro is right - that is, his text is much better than the
> present text. However normalizations differ.
> 
> It is true that tan(carg(z)) = cimag(z) / creal(z),
> almost by definition. Taking atan() on both sides yields
> atan(tan(carg(z))) = atan(cimag(z) / creal(z))
> but it is not precisely true that atan(tan(x)) = x.
> The tan() function is periodic with period pi, and
> atan() returns an answer in (-pi/2,pi/2], so atan(tan(x))
> returns the value that is congruent x mod pi and lies in
> this interval.
> In particular, atan(tan(carg(z))) returns a value that
> is congruent carg(z) mod pi and lies in (-pi/2,pi/2].
> On the other hand, carg returns a value in [-pi,pi]
> and if that return value does not lie in (-pi/2,pi/2]
> then carg(z) and atan(cimag(z) / creal(z)) will differ by pi.
> 
> In other words: you may write
> "One has tan(carg(z)) = cimag(z) / creal(z)."
> 
> Andries
> 
> 

Hello Andries, your explanation is superb and very accurate. You are
completely right.

I never thought I could find a bug.....;-)
Free software and Debian are marvellous.

Thank you very much.
Ramiro.





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #32 received at 326720@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Andries Brouwer <Andries.Brouwer@cwi.nl>
Cc: Andries.Brouwer@cwi.nl, ea1abz@gmail.com, 326720@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#326720: carg(3) man page error
Date: Wed, 21 Sep 2005 12:34:06 +0200 (MEST)
tags 326720 fixed-upstream
thanks

> Ramiro is right - that is, his text is much better than the
> present text. However normalizations differ.
> 
> It is true that tan(carg(z)) = cimag(z) / creal(z),
> almost by definition. Taking atan() on both sides yields
> atan(tan(carg(z))) = atan(cimag(z) / creal(z))
> but it is not precisely true that atan(tan(x)) = x.
> The tan() function is periodic with period pi, and
> atan() returns an answer in (-pi/2,pi/2], so atan(tan(x))
> returns the value that is congruent x mod pi and lies in
> this interval.
> In particular, atan(tan(carg(z))) returns a value that
> is congruent carg(z) mod pi and lies in (-pi/2,pi/2].
> On the other hand, carg returns a value in [-pi,pi]
> and if that return value does not lie in (-pi/2,pi/2]
> then carg(z) and atan(cimag(z) / creal(z)) will differ by pi.
> 
> In other words: you may write
> "One has tan(carg(z)) = cimag(z) / creal(z)."

Okay -- that is what will appear in man-pages-2.08

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ramiro Aceves <ea1abz@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 326720-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 326720-close@bugs.debian.org
Subject: Bug#326720: fixed in manpages 2.08-1
Date: Thu, 17 Nov 2005 23:02:09 -0800
Source: manpages
Source-Version: 2.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.08-1_all.deb
manpages_2.08-1.diff.gz
  to pool/main/m/manpages/manpages_2.08-1.diff.gz
manpages_2.08-1.dsc
  to pool/main/m/manpages/manpages_2.08-1.dsc
manpages_2.08-1_all.deb
  to pool/main/m/manpages/manpages_2.08-1_all.deb
manpages_2.08.orig.tar.gz
  to pool/main/m/manpages/manpages_2.08.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326720@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 07:46:45 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 263756 314435 322934 323621 325115 326720 328629
Changes: 
 manpages (2.08-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Add _POSIX_C_SOURCE 199309 to nanosleep(2) prototype (Closes: Bug#314435)
     - Clarified arguments in outb(2) (Closes: Bug#263756)
     - Corrected prototype in poll(2) (Closes: Bug#322934)
     - Removed misleading text in rand(3) (Closes: Bug#328629)
     - Correction of description of carg(3) (Closes: Bug#326720)
     - Removed reference to rpc_secure(3) in rpc(3) (Closes: Bug#325115)
     - Mention pivot-root in initrd(4) (Closes: Bug#323621)
Files: 
 6682770978e807df9d68cc3d1ee87677 584 doc - manpages_2.08-1.dsc
 0b3cca8825ac6980fdc22d47d23c6888 1050767 doc - manpages_2.08.orig.tar.gz
 929aaee8838745ccb7af2bf4bb1596f1 44697 doc - manpages_2.08-1.diff.gz
 abf56fc177c2af5490b962f301a2b4b2 402880 doc important manpages_2.08-1_all.deb
 67dc6340a6b039bb1fb74604714347cd 1104406 doc standard manpages-dev_2.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDfXllW5ql+IAeqTIRAjEWAJ4rAV2qjPqtyYu0RtGiykphDcUs2ACdH6Cy
cIx6c2EfU8aeF/mi+qAA770=
=l+s0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #44 received at 326720@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 326720@bugs.debian.org
Subject: pedantic
Date: Mon, 5 Dec 2005 00:05:53 -0500
reopen 326720
tag 326720 - fixed-upstream
tag 326720 + patch
thanks

In the interest of taking full advantage of Andrie's correction,
please remove the first line:

  One has carg(z) = atan(cimag(z) / creal(z)).
  One has tan(carg(z)) = cimag(z) / creal(z).

Alternately, make the first line correct by saying, instead:

  One has carg(z) = atan(cimag(z) / creal(z)) (mod pi).
  
(also, if you take the "alternative" path, avoid repeating "one has").

Thanks;

-- 
Clear skies,
Justin



Bug reopened, originator not changed. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#326720; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #55 received at 326720@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 326720@bugs.debian.org,control@bugs.debian.org
Subject: Re: Bug#326720: pedantic
Date: Mon, 5 Dec 2005 10:34:33 +0100 (MET)
tag 326720 fixed-upstream
thanks

> In the interest of taking full advantage of Andrie's correction,
> please remove the first line:
> 
>   One has carg(z) = atan(cimag(z) / creal(z)).
>   One has tan(carg(z)) = cimag(z) / creal(z).
> 
> Alternately, make the first line correct by saying, instead:
> 
>   One has carg(z) = atan(cimag(z) / creal(z)) (mod pi).
>   
> (also, if you take the "alternative" path, avoid repeating "one has").

Hi Justin,

That was a glitch.  The first line should have been deleted, and
it has been for 2.17.

Thanks for catching that.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ramiro Aceves <ea1abz@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 326720-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 326720-close@bugs.debian.org
Subject: fixed
Date: Tue, 13 Dec 2005 09:31:05 +0100
Source: manpages
Version: 2.08-1

-- 
We all know Linux is great... it does infinite loops in 5 seconds.
        -- Linus Torvalds

Please always Cc to me when replying to me on the lists.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 19:48:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:16:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.